<?php

Class Perfil extends AppObjeto{
	
	public $id_perfil;
	public $nombre;
	public $activo;
	public $nombre_maquina;
	//Configuración de tabla
	
	

	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'perfil';
	protected static $_campoPK = 'id_perfil';
	
	
	public static function getAll($parametros){
		$select = self::selectObjeto();
		$res = self::selectExecute($select, $parametros);
		return $res;
	}
	
	public static function loadSelect(){
		$select = self::selectObjeto();
		$resultado = self::selectExecute($select);
		$lista_resutlado = $resultado->getDatos();
		$salida = array();
		foreach ($lista_resutlado as $resultado){
			$salida[$resultado[self::getCampoPk()]] = $resultado['nombre'];
		}
		return $salida;
	}
	
	
	public static function loadByNombre($nombre){
		$select = self::selectObjeto();
		$select->where('nombre_maquina= ?', $nombre);
		$result = self::selectExecute($select, null, true);
		$result = $result->getRegistroToArray();
		if (isset($result['id_perfil'])) {
			$perfil = new Perfil($result['id_perfil']);
			return $perfil;
		}
	}
	
}